{% load static %}
{% load humanize %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Listar</title>
    <link rel="stylesheet" href="{% static '/CSS/estilos.css' %}">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css">
    <link rel="stylesheet" href="{% static '/CSS/flexboxgrid.css' %}">
    <script src="{% static '/js/index.js' %}"></script>
    <script src="{% static '/js/jquery-3.5.1.js' %}"></script>

    {% load pwa %}

    {% progressive_web_app_meta %}
    
</head>
<body>
    <div>
        <div id="contenedor_carga">
            <div id="carga"></div>
        </div>
        <header id="hp1">
            <img id="cp1" src="http://localhost:8000/media/logo_ezPneK8.jpg" alt="Logo Cell Shop">
            <a id="linksdemenu" href="http://localhost:8000/polls/">INICIO</a>
            <a  id="linksdemenu" href="http://localhost:8000/polls/1">GALERÍA</a>
            {% if perms.group.add_group %}
            <a id="linksdemenu" href="http://localhost:8000/admin/" target="_blank">MENÚ ADMIN</a>
            {% endif %}
            {% if user.is_authenticated %}
            <a id="linksdemenu" href="http://localhost:8000/polls/agregar">AGREGAR CELULAR</a>
            <a id="linksdemenu" href="{% url 'logout' %}">CERRAR SESIÓN</a>
            <a id="linksdemenu" href="#">@{{ user.username }}</a>

                {% for auth in backends.associated %}
                    {% if auth.provider == 'facebook' %}
                        <img id="imgfacebook" src="{{ auth.extra_data.picture.data.url }}" alt="foto de perfil" >
                    {% endif %}
                {% endfor %}

            {% else %}
            <a  id="linksdemenu" href="{% url 'login' %}">INICIAR SESIÓN</a>
            <a id="linksdemenu" href="{% url 'registro' %}">REGISTRARSE</a>
            {% endif %}
        </header>
        <nav id="nav_pag1">
            <h1>LISTA DE CELULARES EN CELL SHOP</h1>
        </nav>
        <table id="listare">
            <tr id="titulosl">
                <th>Nombre</th>
                <th>Precio</th>
                <th>Marca</th>
                <th>Imagen</th>
                {% if perms.group.delete_celulares %}
                <th>Opciones</th>
                {% endif %}

            </tr>
            {% for p in celulares %}

            <tr>
                <td>{{ p.nombre | title }}</td>
                <td>${{ p.precio | intcomma }}</td>
                <td>{{ p.marca | title }}</td>
                <td>{{ p.imagen | title }}</td>
                {% if perms.group.add_group %}
                <td >
                    <a id="delista1" href="{% url 'modificar' p.id %}">Modificar</a>
                    <a id="delista2" href="{% url 'eliminar' p.id %}">Eliminar</a>
                </td>
                {% endif %}
            </tr>
            {% endfor %}
        </table>
        <footer id="gracias">
            <h1>¡GRACIAS POR USAR CELL SHOP!</h1>
        </footer>
</body>
</html>